Bug 429801 - Permissions problem accessing cluster nodes for non admin users.
Permissions problem accessing cluster nodes for non admin users.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Ryan McCabe
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-23 00:02 EST by Norm Murray
Modified: 2010-10-22 17:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:56:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2008-01-23 00:02:16 EST
As of the BZ: 241727 fix ( http://rhn.redhat.com/errata/RHSA-2007-0640.html ),
users are now not able to manage clusters that they are assigned to.

1.  Setup conga and add an existing cluster or create a new one
2.  In the homebase menu, add a user
3.  In the homebase menu, go to user permissions.  Select the new user and check
the boxes for that cluster and the storage systems involved.  Click update
permissions
4.  Log out and close the browser, then open it back up and log in as the new user.

Expected Results:  New user should be able to administer the cluster

Actual Results:  When you click the cluster tab as the new user, it gives an
error stating "An error occurred when trying to contact any of the nodes in the
<clustername> cluster."


Additional info:
Comment 7 Brian Brock 2008-12-16 18:38:25 EST
verified, seem to be able to access with other users
Comment 10 errata-xmlrpc 2009-01-20 16:56:40 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0196.html

Note You need to log in before you can comment on or make changes to this bug.